Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362395 - [RFE] per-DC and per-Cluster dashboards
Summary: [RFE] per-DC and per-Cluster dashboards
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 06:40 UTC by Barak Korren
Modified: 2017-05-15 06:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-15 06:50:01 UTC
oVirt Team: UX
oourfali: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Barak Korren 2016-08-02 06:40:10 UTC
Selecting a DC or a clusre from he right-hand tree display in the admin UI make the dashboard tab disappear.
It would be great if a per-DC or per-cluster dashboard would be shown instead, so a user could get a more detailed overview on how a particular DC or cluster is utilized. 
Clicking on that cluster in the heat map should also lead to it's cluster-specific dashboard.

Comment 1 Vojtech Szocs 2016-08-02 14:44:46 UTC
The "Dashboard" main tab reflects a "global" dashboard that covers different objects.

Whenever a user selects something in the system tree, he (or she) is narrowing down the scope and therefore we hide the "Dashboard" main tab.

Per-DC, per-cluster etc. dashboards as main tabs are possible, as well as sub tabs (dashboard specific for a given object).

Comment 2 Barak Korren 2016-08-03 07:37:13 UTC
I think dashboard behaviour should mimic the behaviour of other tabs - When I'm on the 'Hosts' tab and then select a DC from the system tree,  the list is narrowed down to hosts in that DC. Similarly, I expect to see a narrower dashboard.

Per object dashboards - for example detailed and scalable Memory/CPU/Network graphs for a VM would be great, but that is not what I was aiming for when opening this RFE.

Comment 3 Barak Korren 2016-08-03 07:40:51 UTC
I'm free-thinking here - what would happen to a per-VM dashboard if multiple VMs are shift-selected?

Comment 4 Vojtech Szocs 2016-08-05 15:39:58 UTC
(In reply to Barak Korren from comment #2)
> I think dashboard behaviour should mimic the behaviour of other tabs - When
> I'm on the 'Hosts' tab and then select a DC from the system tree,  the list
> is narrowed down to hosts in that DC. Similarly, I expect to see a narrower
> dashboard.

OK, makes sense, it's basically a way to narrow down the scope of dashboard main tab according to system tree selection. This means narrowing down data and/or UI elements displayed to user.

(In reply to Barak Korren from comment #3)
> I'm free-thinking here - what would happen to a per-VM dashboard if multiple
> VMs are shift-selected?

We'll need an object (e.g. VM) specific dashboard that supports 1+ objects. This would be consistent with shift-selecting multiple items in VM main tab and clicking on Dashboard sub tab.

This RFE sounds perfectly good but we'll need some specification on both items:
- how system tree selection impacts data and/or UI on Dashboard main tab
- design object-specific dashboard that supports 1+ objects for different object types

Comment 5 Barak Korren 2016-08-07 08:31:39 UTC
> This RFE sounds perfectly good but we'll need some specification on both items:
> - how system tree selection impacts data and/or UI on Dashboard main tab
> - design object-specific dashboard that supports 1+ objects for different
>   object types

I think these are tow very different things, so I've created BZ#1364766 to move the object-specific dashboard discussion there. (I also think that would great, but not as important as narrowing down the main tab dashboard).

WRT detailed specification, I suppose we should ask the PMs to pitch in?

Comment 6 Itamar Heim 2016-08-07 12:20:57 UTC
if/when we get to this - Considering we want to de-emphasize DC, I'd focus on Cluster only, and include in it the storage domains (for now, from the DC)

Comment 7 Oved Ourfali 2017-05-15 06:50:01 UTC
No plans to add more dashboards.
We might add a few widgets in the 4.2 UI re-design, in various places, but not a complete dashboard.


Note You need to log in before you can comment on or make changes to this bug.